/***************************************************************************
*
* Copyright (c) 1989, 1990, 1991, 1992, 1993
* by Helsinki University of Technology, Digital Systems Laboratory.
* All rights reserved.
*
* This software is provided "as is" without express or implied warranty.
*
* Module:  inst.h
*
* Part of: PROD's program "gphgen"
*
* Authors: Marko Rauhamaa and Kimmo Varpaaniemi
*
* Current version:
*     $Id$
*
* Description:
*     .
*
* Version history:
*     $Log$
***************************************************************************/

typedef struct
{
    BOOL flag;
    unsigned trIndex;
    DOMAIN *instance;
    DATATYPE *buffer;
} PEER;

#define PeeGFlag(peer) ((peer)->flag)
#define PeeSet(peer) ((peer)->flag = TRUE)
#define PeeGTrIndex(peer) ((peer)->trIndex)
#define PeeGInstance(peer) ((peer)->instance)
#define PeeGBuffer(peer) ((peer)->buffer)
#define PeeAlloc() (PEER *) Allocate(sizeof(PEER))
extern PEER *PeeCons();
extern PEER *PeeCopy();
extern void PeeDiscard();
extern void PeeDump();
extern TOOLS peeTools;
