/***************************************************************************
*
* Copyright (c) 1989, 1990, 1991, 1992, 1993
* by Helsinki University of Technology, Digital Systems Laboratory.
* All rights reserved.
*
* This software is provided "as is" without express or implied warranty.
*
* Module:  ptrbl.h
*
* Part of: PROD's programs "gphgen", probe, and strong
*
* Author:  Kimmo Varpaaniemi
*
* Current version:
*     $Id$
*
* Description:
*     .
*
* Version history:
*     $Log$
***************************************************************************/

typedef struct PTRBL 
{
    char **root;
    unsigned long ptrcount;
    unsigned bits;
    TOOLS *tools;
} PTRBL;

#define PtrBlGCount(ptrbl) ((ptrbl)->ptrCount)

#define PtrBlAlloc() ((PTRBL *) Allocate(sizeof(PTRBL)))
extern PTRBL *PtrBlCreate();
extern PTRBL *PtrBlCopy();
extern void PtrBlDiscard();
extern void PtrBlDump();
extern TOOLS ptrblTools;
extern void PtrBlPut();
extern char *PtrBlGet();
extern void PtrBlApply();
extern void PtrBlBackApply();
extern void PtrBlAddrApply();
extern void PtrBlBkdrApply();
