/********************************************************************************
 *										*
 *	Module	: sandrine.h							*
 *	Auteur	: Bonnaire Xavier						*
 *	Date	: 02/10/92							*
 *	Sujet	: Gestion de la communication entre SANDRINE et les autres	*
 *		  applications 							*
 *										*
 ********************************************************************************/
 
typedef void ( *TypeErreur)(void);
 
#define _SANDRINE_H_

#define NO_ERR		0
#define ERR_INIT_SEND	1
#define ERR_INIT_REC	2


#ifndef _COMMUNICATION_C_

extern int SANDRINE_Init( void );
extern int SANDRINE_Envoyer( char *message );
extern int SANDRINE_Recevoir( char *message );
extern int SANDRINE_Fin( void );

#endif
