#!/bin/sh
# AMI Extraction script
# (c) 1993 X. Bonnaire, MASI Laboratory

# First verify if we are root ?

user=`/usr/ucb/whoami`
if [ "$user" != "root" ] 
  then
        echo "Sorry, must be root to install AMI"
        exit 1
fi

if [ "$1" = "" ]
   then
   	echo "Usage: AMI_perms <AMI_root_dir>"
  	exit 1
fi

if [ -f $1/commun/sun4/bin/restartAmi ]
   then
   	chown root.mars $1/commun/sun4/bin/restartAmi
   	if [ "$?" != "0" ]
   	   then
   	   	echo "mars group not defined !"
   	   	exit 2
   	fi
   	chmod ug+s $1/commun/sun4/bin/restartAmi
   	exit
fi

echo "Please install AMI binaries before running this script !"
exit 3
   	
