/***************************************************************************
*
* Copyright (c) 1989, 1990, 1991, 1992, 1993
* by Helsinki University of Technology, Digital Systems Laboratory.
* All rights reserved.
*
* This software is provided "as is" without express or implied warranty.
*
* Module:  alloc.h
*
* Part of: PROD's programs "gphgen", hashgen, probe, prod, prpp, strong,
*          and t
*
* Author:  Kimmo Varpaaniemi
*
* Current version:
*     $Id$
*
* Description:
*     .
*
* Version history:
*     $Log$
***************************************************************************/

#ifdef OWNALLOC
extern char *Allocate();
extern char *AllocArray();
extern char *Reallocate();
extern void Deallocate();
#else
extern char *malloc(), *calloc(), *realloc();
extern void free();
#define Allocate malloc
#define AllocArray calloc
#define Reallocate realloc
#define Deallocate free
#endif
