
Welcome to amical (the AMI Control Application Layer) help.

NAME
     amical

SYNOPSIS
     amical start | stop [-9] | state | net | connection | h | help

AVAIBILITY
     This command is available with the ami 1.5 case environment.

DESCRIPTION
     amical is the ami manager environment. Using amical, it is possible
     to administrate ami environment.
     Ami environment consists in four background UNIX processes. They are
     running with root rights. Administrate ami environment is contoling these
     processes.
     To execute this command, the it is imperative to run amical command
     from directory of ami executable files.
     When ami is started using amical start command, an ami.pid.2001 file is
     created containing pid of ami running processes.
     When ami is stopped using amical stop command, a SIGTERM signal is sent
     to the process having their pid in ami.pid.2001 file.

COMMANDS
     start	Starts ami environment. Four ami UNIX processes are started and
     		ami.pid.2001 file is created.
     		This command does not succeed if ami is running or if ami is in
     		case 1 or case 2 or case 3.
     		If ami.pid.2001 file already exists and ami is not running
     		(case 4), ami.pid.2001 file is erased and replaced by a new
     		ami.pid.2001 file.

     stop	Stops ami environment. The four ami UNIX processes started with
		start command are killed. ami.pid.2001 file is erased.
		This command does not succeed if ami is not running or if ami
		is in case 1 or case 2.
		Options
			-9    ami environment is stopped even if connections
			      are established. This option may let ami sockets
			      in FIN_WAIT1 or FIN_WAIT2 state enabling a new
			      ami start during a few minutes.
		    	none  ami environment is stopped only if no connection
		              is established.
		
     state	Displays the current state of ami environment. 
     		If ami is running, this command displays 
		"Coherent state detected
		 Ami is currently running."
		If ami is not running, this command displays 
		"Coherent state detected
		 Ami is not currently running."
		Incoherent states are detected if :
		case 1:	ami is running and ami.pid.2001 file not exists.
		case 2:	ami is partially running and ami.pid.2001 file not
			exists.
		case 3:	ami is partially runnig and ami.pid.2001 file exists.
		case 4:	ami is not running and ami.pid.2001 file exists.
		 
     net	Displays the current state of ami communication UNIX sockets.
		The four ami UNIX processes and the graphical tool MACAO 
		running on Macintosh station communicate each others through 
		unix sockets. 
		net executes a UNIX netstat command on sockets used by ami.
		When ami is not running, nothing is displayed by this command. 
		When ami is running, and when no user connection are
		established, all four used sockets are LISTEN.
		For more information, refer to netstat manual.
		
     connection	Displays the number of current established connection(s) from
     		MACAO to ami.

     h, help	Displays this current help.
     
FILES
     All files used in amical are in the ami executable path. Files are :
     amical	The amical executable file.
     ami.file	Contains the name of the four ami executable processes.
     ami.pid.x	Contains the pid of the four ami processes when ami is running.
     		x is the number of the first port used by ami. In this version,
     		the value of x is 2001.
     ami.man	This displayed file.
     Etat.m.n	File generated by the process n (n is the pid of this process),
     		on the machine named n. When ami is stopped, each of the four
     		ami processes creates a trace in a Etat.m.n files.
     
RETURN VALUE
     Whatever the result of amical is, the unique returned value is 0.
     
SEE ALSO
     netstat(8C)
     
VERSION
     amical V1.0	Last change : 25 May 1994

